Subject: [Sip] Question re: session timer

From: "Bharrat, Shaun" <[email-masked]>
Date: Wed, 25 Feb 2004 08:28:01 -0500

Hi:

No problems with the following changes. However, a different
question. Can someone explain the rational for not allowing
a proxy/UAS to _increase_ the session expiration before 
accepting it? I understand that the proxy/UAS can effect this
increase by responding with the 422 but then every call
(from that UAC) requires multiple INVITE exchanges. Is it 
really the case that we expect the UAC to get a 422 and decide 
it doesn't want the call after all because the session expiration 
would be too big? In any event, if this were the case, couldn't 
the UAC just BYE the call at that point?

Thanks in advance for the info.

Cheers,
Shaun

Shaun Bharrat                                  Sonus Networks
www.sonusnet.com          The Voice of the New Public Network   

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]]On Behalf Of
>Jonathan Rosenberg
>Sent: Wednesday, February 25, 2004 12:45 AM
>To: [email-masked]
>Subject: [Sip] changes in session timer
>
>
>Folks,
>
>I submitted a revision of the session timer, based on comments 
>received 
>from IESG and subsequent list discussion. For some reason, this 
>submission was not processed by the I-D editor (I'm working to correct 
>that). In the mean time, you can pick it up at:
>
>http://www.jdrosen.net/papers/draft-ietf-sip-session-timer-14.txt
>
>
>There are a few significant changes:
>
>* Formerly, if a session refresh timed out, the UA waited until 1/3 of 
>the session interval remained before sending a BYE. This contradicts 
>RFC3261 which basically says to send a BYE immediately. Session timer 
>now references that behavior.
>
>* There is now an absolute minimum session timer of 90 
>seconds. This is 
>basically enough time for completion of a SIP BYE transaction 
>after half 
>of the session has expired. The Min-SE header field now has a default 
>value of 90 seconds when not present. This will preclude usage of 
>session timer for really fine grained refreshes, say on the order of 5 
>to 10 seconds. I fear that some people may be trying to do 
>some kind of 
>nat traversal or something with session timer - this would 
>rule that out 
>formally (it was never the intended usage).
>
>* The default for session-expires, when not present, used to be 
>"infinity". However, thats not really right. Really, it means 
>"undefined", and session expiration is then up to local policy of the 
>proxy. Using infinity would mean that a proxy could never 
>clean up state.
>
>
>Please comment ASAP if you have any problems with these changes. We'd 
>like to get session timer moving along.
>
>-Jonathan R.
>
>-- 
>Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
>Chief Technology Officer                    Parsippany, NJ 07054-2711
>dynamicsoft
>[email-masked]                     FAX:   (973) 952-5050
>http://www.jdrosen.net                      PHONE: (973) 952-5000
>http://www.dynamicsoft.com
>
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip